## org.eclipse.datatools.connectivity.ui
Class PingJob.PingUIJob

    java.lang.Object
      UIJob
          org.eclipse.datatools.connectivity.ui.PingJob.PingUIJob

Enclosing class:
  PingJob

    public static class PingJob.PingUIJob

extends UIJob

Constructor Summary
`PingJob.PingUIJob(Shell shell, java.lang.Throwable exception)`

Method Summary
`IStatus` `runInUIThread(IProgressMonitor monitor)`
`static void` `showTestConnectionMessage(Shell shell, java.lang.Throwable exception)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PingJob.PingUIJob

    public PingJob.PingUIJob(Shell shell,
                             java.lang.Throwable exception)

Parameters:
  `name` -

Method Detail

### runInUIThread

    public IStatus runInUIThread(IProgressMonitor monitor)

### showTestConnectionMessage

    public static void showTestConnectionMessage(Shell shell,
                                                 java.lang.Throwable exception)

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.